package cn.iocoder.yudao.module.wealth.convert.receiptInvoice;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.wealth.dal.dataobject.receiptInvoice.ReceiptInvoiceDO;
import cn.iocoder.yudao.module.wealth.dal.dataobject.receiptInvoiceLog.ReceiptInvoiceLogDO;
import cn.iocoder.yudao.module.wealth.vo.receiptInvoice.ReceiptInvoiceLogBackVO;
import cn.iocoder.yudao.module.wealth.vo.receiptInvoice.ReceiptInvoicePageBackVO;
import cn.iocoder.yudao.module.wealth.vo.receiptInvoice.ReceiptInvoiceCreateReqVO;
import cn.iocoder.yudao.module.wealth.vo.receiptInvoice.ReceiptInvoiceUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 收款单开票信息 Convert
 * @author 系统管理员
 */
@Mapper
public interface ReceiptInvoiceConvert {
    /*****转换MapStruct*****/
    ReceiptInvoiceConvert INSTANCE = Mappers.getMapper(ReceiptInvoiceConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    ReceiptInvoiceDO convert(ReceiptInvoiceCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    ReceiptInvoiceDO convert(ReceiptInvoiceUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    ReceiptInvoicePageBackVO convert(ReceiptInvoiceDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<ReceiptInvoicePageBackVO> convertList(List<ReceiptInvoiceDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<ReceiptInvoicePageBackVO> convertPage(PageResult<ReceiptInvoiceDO> page);

    List<ReceiptInvoiceLogBackVO> logDOtoLogVOList(List<ReceiptInvoiceLogDO> invoiceLogDOs);
}
