package cn.iocoder.yudao.module.wealth.dal.dataobject.receipt;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 收款单 DO
 *
 * @author 郑屹
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_receipt")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ReceiptDO extends BaseDO {
    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 收款单号（例：SKD001）
     */
    private String receiptNo;
    /**
     * 部门Id
     */
    private Long departmentId;
    /**
     * 部门名称
     */
    private String departmentName;
    /**
     * 业务员
     */
    private Long salesmanId;
    /**
     * 业务员名称
     */
    private String salesmanName;
    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 备注
     */
    private String remark;
    /**
     * 核销币种
     */
    private Long currencyId;
    /**
     * 核销比例
     */
    private BigDecimal writeOffProportion;
    /**
     * 应收总金额
     */
    private java.math.BigDecimal receivableTotalAmount;

    /**
     * 手续费
     */
    private java.math.BigDecimal feeRate;

    ///**
    // * 发票抬头
    // */
    //private String invoice;
    ///**
    // * 纳税人识别号
    // */
    //private String taxpayer;
    ///**
    // * 开户行
    // */
    //private String accountBank;
    ///**
    // * 账号
    // */
    //private String accountName;
    ///**
    // * 项目
    // */
    //private String projectName;
    ///**
    // * 税率
    // */
    //private java.math.BigDecimal taxRate;
    ///**
    // * 开票地址、电话
    // */
    //private String addressPhone;

    /**
     * 实收日期
     */
    private Date payedAt;
    ///**
    // * 发票号码
    // */
    //private String invoiceNumber;
    ///**
    // * 开票类型(字典表 invoicing_type)
    // */
    //private Integer invoicingTypeId;
    ///**
    // * 开票类型名称
    // */
    //private String invoicingType;
    ///**
    // * 开票备注
    // */
    //private String invoicingRemark;
    /**
     * 通知人id
     */
    private Long noticeAdminId;
    /**
     * 通知人名称
     */
    private String noticeAdminName;
    /**
     * 收款人id
     */
    private Long payeeId;
    /**
     * 收款人名称
     */
    private String payeeName;
    /**
     * 核销人id
     */
    private Long writeOffId;
    /**
     * 核销人名称
     */
    private String writeOffName;
    ///**
    // * 开票人id
    // */
    //private Long issuerId;
    ///**
    // * 开票人名称
    // */
    //private String issuerName;

    /**
     * 是否需要开票
     */
    private Integer openInvoice;
    /**
     * 开票信息id
     */
    private Long invoiceId;

    /**
     * 状态:0:草稿， 1待收款， 2待核销，3已部分核销，4已核销，5已核销待开票，6已开票
     */
    private Integer state;
    /**
     * 核销时间
     */
    private Date writeOffAt;
    ///**
    // * 开票时间
    // */
    //private Date invoicingAt;
    /**
     * 数据来源（pc端，mobile端）
     */
    private String source;

    /**
     * 汇率有效期
     */
    private Date rateValidateDate;

    /**
     * 税点
     */
    private BigDecimal taxPoint;

    /**
     * 流程状态
     */
    private Integer bmpStatus;

    /**
     * 当前流程ID
     */
    private String bmpId;

    /**
     * 驳回原因
     */
    private String comment;
    /**
     * 财务备注
     */
    private String financeRemark;

    /**
     *订单ID
     */
    private long orderId;

    /**
     *订单编号
     */
    private String orderNo;
    /**
     * 明细状态
     */
    private Integer detailStatus;

    /**
     * 开票状态
     */
    private Integer invoicingStatus;

    /**
     * 开票明细状态
     */
    private Integer invoiceDataStatus;
}
