package cn.iocoder.yudao.module.wealth.enums;

import cn.hutool.core.util.ArrayUtil;
import cn.iocoder.yudao.framework.common.util.json.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@AllArgsConstructor
@Getter
public enum InvoiceDataStatusEnum implements IntArrayValuable {
    /**
     * 提交
     */
    SUBMIT(0, "提交", "Submit"),
    /**
     * 驳回
     */
    REJECT(1, "驳回", "Reject");


    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(InvoiceDataStatusEnum::getValue).toArray();

    /**
     * 状态
     */
    private final Integer value;
    /**
     * 状态中文
     */
    private final String nameZh;

    /**
     * 状态英语
     */
    private final String nameEn;


    public static InvoiceDataStatusEnum valueOf(Integer value) {
        return ArrayUtil.firstMatch(orderStatus -> orderStatus.getValue().equals(value), InvoiceDataStatusEnum.values());
    }

    @Override
    public int[] array() {
        return ARRAYS;
    }

}
