package cn.iocoder.yudao.module.wealth.enums;

import cn.hutool.core.util.ArrayUtil;
import cn.iocoder.yudao.framework.common.util.json.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@AllArgsConstructor
@Getter
public enum InvoicingLinkEnum implements IntArrayValuable {
    /**
     * 申请开票
     */
    APPLY_INVOICE(0, "申请开票", "Apply Invoice"),
    /**
     * 取消开票
     */
    CANCEL_INVOICE(1, "取消开票", "Cancel Invoice"),
    /**
     * 驳回开票
     */
    REJECT_INVOICE(2, "驳回开票", "Reject Invoice"),
    /**
     * 删除开票信息
     */
    DELETE_INVOICE_INFO(3, "删除开票", "Delete Invoice Info"),
    /**
     * 驳回开票信息
     */
    REJECT_INVOICE_INFO(4, "驳回开票信息", "Reject Invoice Info"),
    /**
     * 提交开票
     */
    SUBMIT_INVOICE(5, "提交开票", "Submit Invoice"),
    /**
     * 修改开票资料
     */
    MODIFY_INVOICE_INFO(6, "修改开票资料", "Modify Invoice Info");


    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(InvoicingLinkEnum::getValue).toArray();

    /**
     * 状态
     */
    private final Integer value;
    /**
     * 状态中文
     */
    private final String nameZh;

    /**
     * 状态英语
     */
    private final String nameEn;


    public static InvoicingLinkEnum valueOf(Integer value) {
        return ArrayUtil.firstMatch(orderStatus -> orderStatus.getValue().equals(value), InvoicingLinkEnum.values());
    }

    @Override
    public int[] array() {
        return ARRAYS;
    }

}
