package cn.iocoder.yudao.module.wealth.enums;

import cn.hutool.core.util.ArrayUtil;
import cn.iocoder.yudao.framework.common.util.json.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@AllArgsConstructor
@Getter
public enum InvoicingStatusEnum implements IntArrayValuable {
    /**
     * 待开票
     */
    WAIT(0, "待开票", "Wait"),
    /**
     * 已开票
     */
    INVOICED(1, "已开票", "Invoiced"),
    /**
     * 已取消
     */
    CANCELLED(4, "已作废", "Cancelled"),
    /**
     * 不开票
     */
    NO_INVOICE(3, "不开票", "NoInvoice"),
    /**
     * 无申请记录
     */
    NO_RECORD(5, "无申请记录", "NoRecord");



    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(InvoicingStatusEnum::getValue).toArray();

    /**
     * 状态
     */
    private final Integer value;
    /**
     * 状态中文
     */
    private final String nameZh;

    /**
     * 状态英语
     */
    private final String nameEn;


    public static InvoicingStatusEnum valueOf(Integer value) {
        return ArrayUtil.firstMatch(orderStatus -> orderStatus.getValue().equals(value), InvoicingStatusEnum.values());
    }

    @Override
    public int[] array() {
        return ARRAYS;
    }

}
