package cn.iocoder.yudao.module.wealth.vo.receipt;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 收款单查询 VO")
public class ReceiptQueryVO {

    @ApiModelProperty(value = "收款单号（例：SKD001）")
    private String receiptNo;

    @ApiModelProperty(value = "部门Id")
    private Long departmentId;

    @ApiModelProperty(value = "部门名称")
    private String departmentName;

    @ApiModelProperty(value = "业务员")
    private Long salesmanId;

    @ApiModelProperty(value = "业务员名称")
    private String salesmanName;

    @ApiModelProperty(value = "客户id")
    private Long customerId;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "货币id")
    private Long currencyId;

    @ApiModelProperty(value = "手续费")
    private java.math.BigDecimal feeRate;

  /*  @ApiModelProperty(value = "平台收款账户id")
    private Integer platformAccountId;

    @ApiModelProperty(value = "平台收款账户")
    private String platformAccount;*/

    @ApiModelProperty(value = "发票抬头")
    private String invoice;

    @ApiModelProperty(value = "纳税人识别号")
    private String taxpayer;

    @ApiModelProperty(value = "开户行")
    private String accountBank;

    @ApiModelProperty(value = "账号")
    private String accountName;

    @ApiModelProperty(value = "项目")
    private String projectName;

    @ApiModelProperty(value = "税率")
    private java.math.BigDecimal taxRate;

    @ApiModelProperty(value = "开票地址、电话")
    private String addressPhone;

    @ApiModelProperty(value = "水单")
    private String waterBill;

    @ApiModelProperty(value = "水单号")
    private String waterBillNo;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "实收日期")
    private Date payedAt;

    @ApiModelProperty(value = "发票号码")
    private String invoiceNumber;

    @ApiModelProperty(value = "开票类型(字典表 invoicing_type)")
    private Integer invoicingTypeId;

    @ApiModelProperty(value = "开票类型名称")
    private String invoicingType;

    @ApiModelProperty(value = "开票备注")
    private String invoicingRemark;

    @ApiModelProperty(value = "通知人id")
    private Long noticeAdminId;

    @ApiModelProperty(value = "通知人名称")
    private String noticeAdminName;

    @ApiModelProperty(value = "收款人id")
    private Long payeeId;

    @ApiModelProperty(value = "收款人名称")
    private String payeeName;

    @ApiModelProperty(value = "核销人id")
    private Long writeOffId;

    @ApiModelProperty(value = "核销人名称")
    private String writeOffName;

    @ApiModelProperty(value = "开票人id")
    private Long issuerId;

    @ApiModelProperty(value = "开票人名称")
    private String issuerName;

    @ApiModelProperty(value = "状态: 1待核销，2 已核销，3已核销待开票，4已开票")
    private Integer state;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "核销时间")
    private Date writeOffAt;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开票时间")
    private Date invoicingAt;

    @ApiModelProperty(value = "数据来源（pc端，mobile端）")
    private String source;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "编号")
    private String numberNo;

    @ApiModelProperty(value = "明细状态")
    private Integer detailStatus;

    @ApiModelProperty(value = "开票状态")
    private Integer invoicingStatus;

    @ApiModelProperty(value = "开票资料状态")
    private Integer invoiceDataStatus;
}
