package cn.iocoder.yudao.module.wealth.vo.receiptInvoice;

import cn.iocoder.yudao.module.wealth.vo.receivable.ReceivableBackVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ApiModel("管理后台 - 开票详情 VO")
public class ReceiptInvoiceDetailVO {

    //订单信息/基础信息
    @ApiModelProperty(value = "收款单id")
    private Long receiptId;

    @ApiModelProperty(value = "收款单号（例：SKD001）")
    private String receiptNo;

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "订单号（NG2414248L）")
    private String orderNo;

    @ApiModelProperty(value = "应收金额（多币种换行，应该从应收明细中取）")
    private Integer receivableTotalAmount;

    @ApiModelProperty(value = "开票状态")
    private Integer invoicingStatus;

    @ApiModelProperty(value = "开票编号")
    private String invoiceNo;

    @ApiModelProperty(value = "开票类型(字典表 invoicing_type)")
    private Integer invoiceTypeId;

    @ApiModelProperty(value = "开票类型名称")
    private String invoiceType;

    // 开票资料
    @ApiModelProperty(value = "发票抬头")
    private String invoiceHeader;

    @ApiModelProperty(value = "纳税人识别号")
    private String taxpayer;

    @ApiModelProperty(value = "税率")
    private java.math.BigDecimal taxRate;

    @ApiModelProperty(value = "开票品名")
    private String invoiceItem;

    @ApiModelProperty(value = "开票电话")
    private String invoicePhone;

    @ApiModelProperty(value = "开票地址")
    private String invoiceAddress;

    @ApiModelProperty(value = "发票号码")
    private String invoiceNumber;

    @ApiModelProperty(value = "开票备注")
    private String invoiceRemark;

    @ApiModelProperty(value = "开票金额（暂时不知道从哪拿）")
    // TODO 暂时不知道从哪拿
    private java.math.BigDecimal invoiceMoney;

    @ApiModelProperty(value = "开发票人id")
    private Long invoicerId;

    @ApiModelProperty(value = "开票人名称")
    private String invoicerName;

    @ApiModelProperty(value = "开票时间")
    private Date invoiceTime;

    // 应收信息
    @ApiModelProperty(value = "应收明细")
    private List<ReceivableBackVO> receivableList;

    // 日志
    @ApiModelProperty(value = "日志")
    private List<ReceiptInvoiceLogBackVO> invoiceLog;

}
