package cn.iocoder.yudao.module.wealth.vo.receiptInvoice;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 收款单开票信息日志 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 收款单开票信息日志 Response VO")
public class ReceiptInvoiceLogBackVO {

    @ExcelProperty("主键")
    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ExcelProperty("开票环节")
    @ApiModelProperty(value = "开票环节", required = true)
    private Integer invoicingLink;

    @ExcelProperty("操作人")
    @ApiModelProperty(value = "操作人")
    private String operator;

    @ExcelProperty("备注")
    @ApiModelProperty(value = "备注")
    private String remark;

    @ExcelProperty("审批流程")
    @ApiModelProperty(value = "审批流程")
    private Integer bpmStatus;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
