package cn.iocoder.yudao.module.wealth.vo.receiptInvoice;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@ApiModel("管理后台 - 收款单开票信息更新 Request VO")
@Data
@ToString(callSuper = true)
public class ReceiptInvoiceUpdateReqVO {

    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空")
    private Long id;

    @ApiModelProperty(value = "发票抬头")
    private String invoiceHeader;

    @ApiModelProperty(value = "纳税人识别号")
    private String taxpayer;

    @ApiModelProperty(value = "开户行")
    private String accountBank;

    @ApiModelProperty(value = "账号")
    private String accountName;

    @ApiModelProperty(value = "开票品名")
    private String invoiceItem;

    @ApiModelProperty(value = "税率")
    private BigDecimal taxRate;

    @ApiModelProperty(value = "开票电话")
    private String invoicePhone;

    @ApiModelProperty(value = "开票地址")
    private String invoiceAddress;

    @ApiModelProperty(value = "备注")
    private String remark;

}
