package cn.iocoder.yudao.module.wealth.vo.receivable;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel("管理后台 - 费用明细分页 Response VO")
public class CostDetailPageVO {

    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ExcelProperty("收款单id")
    @ApiModelProperty(value = "收款单id")
    private Long receiptId;

    @ExcelProperty("收款单号")
    @ApiModelProperty(value = "收款单号")
    private String receiptNo;

    @ExcelProperty("订单id")
    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ExcelProperty("订单号")
    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ExcelProperty("订单项商品ID")
    @ApiModelProperty(value = "订单项商品ID")
    private Long orderItemId;

    @ExcelProperty("中文标题")
    @ApiModelProperty(value = "中文标题")
    private String titleZh;

    @ExcelProperty("英文标题")
    @ApiModelProperty(value = "英文标题")
    private String titleEn;

    @ExcelProperty("数量")
    @ApiModelProperty(value = "数量")
    private Integer quantity;

    @ExcelProperty("箱数")
    @ApiModelProperty(value = "箱数")
    private Integer num;

    @ExcelProperty("重量")
    @ApiModelProperty(value = "重量")
    private BigDecimal weight;

    @ExcelProperty("体积")
    @ApiModelProperty(value = "体积")
    private BigDecimal volume;

    @ExcelProperty("收款类型(字典 payment_type)")
    @ApiModelProperty(value = "收款类型(字典 payment_type)")
    private Integer collectionType;

    @ExcelProperty("费用类型(字典 receivable_fee_type)")
    @ApiModelProperty(value = "费用类型(字典 receivable_fee_type)")
    private Integer feeType;

    @ExcelProperty("汇率")
    @ApiModelProperty(value = "汇率")
    private BigDecimal exchangeRate;

    @ExcelProperty("货币id")
    @ApiModelProperty(value = "货币id")
    private Integer currencyId;

    @ApiModelProperty(value = "币种符号")
    private String currencySymbol;

    @ExcelProperty("单价")
    @ApiModelProperty(value = "单价")
    private BigDecimal unitPrice;

    @ExcelProperty("总金额")
    @ApiModelProperty(value = "总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "税点")
    private BigDecimal taxPoint;

    @ApiModelProperty(value = "含税金额")
    private BigDecimal taxAmount;

    @ApiModelProperty(value = "不含税金额")
    private BigDecimal notIncludedTaxAmount;

    @ExcelProperty("优惠金额")
    @ApiModelProperty(value = "优惠金额")
    private BigDecimal discountTotal;

    @ApiModelProperty(value = "实际金额")
    private BigDecimal receivableTotalAmount;

    @ExcelProperty("收款状态（0未收款，1收款中，2已收款）")
    @ApiModelProperty(value = "收款状态（0未收款，1收款中，2已收款）")
    private Integer state;

    @ApiModelProperty(value = "订单状态详情见字典：order_status")
    private Integer status;

    @ExcelProperty("运输方式id")
    @ApiModelProperty(value = "运输方式id")
    private Integer transportId;

    @ExcelProperty("出货渠道ID")
    @ApiModelProperty(value = "出货渠道ID")
    private Integer channelId;

    @ExcelProperty("始发仓ID")
    @ApiModelProperty(value = "始发仓ID")
    private Integer departureWarehouseId;
    @ExcelProperty("始发仓中文")
    @ApiModelProperty(value = "始发仓中文")
    private String departureWarehouseZh;
    @ExcelProperty("始发仓英文")
    @ApiModelProperty(value = "始发仓英文")
    private String departureWarehouseEn;

    @ExcelProperty("目的仓ID")
    @ApiModelProperty(value = "目的仓ID")
    private Integer objectiveWarehouseId;
    @ExcelProperty("目的仓中文")
    @ApiModelProperty(value = "目的仓中文")
    private String objectiveWarehouseZh;
    @ExcelProperty("目的仓英文")
    @ApiModelProperty(value = "目的仓英文")
    private String objectiveWarehouseEn;

    @ApiModelProperty(value = "目的国家")
    private Integer destinationCountry;
    @ApiModelProperty(value = "目的国家中文")
    private String destinationCountryZh;
    @ApiModelProperty(value = "目的国家英文")
    private String destinationCountryEn;

    @ApiModelProperty(value = "目的城市")
    private Integer destinationCity;
    @ApiModelProperty(value = "目的城市中文")
    private String destinationCityZh;
    @ApiModelProperty(value = "目的城市英文")
    private String destinationCityEn;


    @ApiModelProperty(value = "费用来源：1 订单计算 2 费用申请 3 特需费用")
    private Integer feeSource;

    @ApiModelProperty(value = "核销金额")
    private BigDecimal writeOffAmount;

    @ApiModelProperty(value = "未核销金额")
    private BigDecimal notWriteOffAmount;

    @ApiModelProperty(value = "核销比例")
    private String writeOffProportion;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新人")
    private String updater;
}
